## org.eclipse.xsd
Interface XSDBoundedFacet

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDFacet, XSDFundamentalFacet

All Known Implementing Classes:
  XSDBoundedFacetImpl

    public interface XSDBoundedFacet

extends XSDFundamentalFacet

A representation of the model object 'Bounded Facet'.

The following features are supported:

- `Value`

See Also:
  `XSDPackage.getXSDBoundedFacet()`

Method Summary
`boolean` `isValue()` Returns the value of the 'Value' attribute
`void` `setValue(boolean value)` Sets the value of the '`Value`' attribute

Methods inherited from interface org.eclipse.xsd.XSDFacet
`getAnnotation, getEffectiveValue, getFacetName, getLexicalValue, getSimpleTypeDefinition, setAnnotation, setLexicalValue`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isValue

    boolean isValue()

  Returns the value of the 'Value' attribute.

  This represents the value infoset property. It is computed and should typically not be set directly.

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `setValue(boolean)`, `XSDPackage.getXSDBoundedFacet_Value()`

### setValue

    void setValue(boolean value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `isValue()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.